Wellfound locations
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-wellfound-locations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.neuralverge.ai/functions/v1/run-wellfound-locations"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.neuralverge.ai/functions/v1/run-wellfound-locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "wellfound_locations",
"partial": false,
"human": "# Wellfound — locations\n\n- **Query:** all\n- **Results:** 275 of 275 found\n- **Proxy traffic:** 155.3 KB",
"machine": {
"total_items": 275,
"first_item": {
"id": "albuquerque",
"name": "Albuquerque",
"slug": "albuquerque",
"region": "NM",
"type": "city",
"url": "https://wellfound.com/browse/tech-job-locations/albuquerque",
"jobs_url": "https://wellfound.com/role/l/software-engineer/albuquerque"
},
"items": [
{
"id": "albuquerque",
"name": "Albuquerque",
"slug": "albuquerque",
"region": "NM",
"type": "city",
"url": "https://wellfound.com/browse/tech-job-locations/albuquerque",
"jobs_url": "https://wellfound.com/role/l/software-engineer/albuquerque"
},
{
"id": "ann-arbor",
"name": "Ann Arbor",
"slug": "ann-arbor",
"region": "MI",
"type": "city",
"url": "https://wellfound.com/browse/tech-job-locations/ann-arbor",
"jobs_url": "https://wellfound.com/role/l/software-engineer/ann-arbor"
}
],
"total_found": 275,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 159013
},
"total_points": 5
}Startup & Funding Data
Wellfound locations
The list of Wellfound job locations (US cities, US states, countries and other places) with the slug to use as the location in Wellfound jobs search. Optional type and name filters. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-wellfound-locations
Wellfound locations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.